com.ihr.xbrl.pojo

## Class XBRLContext

- java.lang.Object
- - com.ihr.xbrl.pojo.XBRLContext

- All Implemented Interfaces:
    HasId, java.io.Serializable

      public class XBRLContext
      extends java.lang.Object
      implements java.io.Serializable, HasId

  The Class XBRLContext.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `XBRLEntity` | `getEntity()` Gets the entity.
    `java.lang.Long` | `getId()` Gets the id.
    `XBRLInstance` | `getInstance()` Gets the single instance of XBRLContext.
    `XBRLPeriod` | `getPeriod()` Gets the period.
    `XBRLScenario` | `getScenario()` Gets the scenario.
    `int` | `hashCode()` This is the java hashCode method.
    `void` | `setEntity(XBRLEntity entity)` Sets the entity.
    `void` | `setHash(java.lang.Integer value)` Method used by hibernate to set the value.
    `void` | `setId(java.lang.Long id)` Sets the id.
    `void` | `setInstance(XBRLInstance instance)` Sets the instance.
    `void` | `setPeriod(XBRLPeriod period)` Sets the period.
    `void` | `setScenario(XBRLScenario scenario)` Sets the scenario.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLContext

          public XBRLContext()

  - ### Method Detail

    - #### getId

          public java.lang.Long getId()

      Gets the id.
      Specified by:
        `getId` in interface `HasId`
      Returns:
        the id

    - #### setId

          public void setId(java.lang.Long id)

      Sets the id.
      Specified by:
        `setId` in interface `HasId`
      Parameters:
        `id` - the id to set

    - #### getInstance

          public XBRLInstance getInstance()

      Gets the single instance of XBRLContext.
      Returns:
        the instance

    - #### setInstance

          public void setInstance(XBRLInstance instance)

      Sets the instance.
      Parameters:
        `instance` - the instance to set

    - #### getEntity

          public XBRLEntity getEntity()

      Gets the entity.
      Returns:
        the entity

    - #### setEntity

          public void setEntity(XBRLEntity entity)

      Sets the entity.
      Parameters:
        `entity` - the entity to set

    - #### getPeriod

          public XBRLPeriod getPeriod()

      Gets the period.
      Returns:
        the period

    - #### setPeriod

          public void setPeriod(XBRLPeriod period)

      Sets the period.
      Parameters:
        `period` - the period to set

    - #### getScenario

          public XBRLScenario getScenario()

      Gets the scenario.
      Returns:
        the scenario

    - #### setScenario

          public void setScenario(XBRLScenario scenario)

      Sets the scenario.
      Parameters:
        `scenario` - the scenario to set

    - #### setHash

          public void setHash(java.lang.Integer value)

      Method used by hibernate to set the value.
      Parameters:
        `value` - the new hash

    - #### hashCode

          public int hashCode()

      This is the java hashCode method.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        int

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`